/* variables */
:root {
	--font-size: 17px;
	--s: 0.5rem;
	--s-container: 50rem;
}
@media (prefers-color-scheme: dark) {
	:root {
		color-scheme: dark;
		--c-fg: lightgray;
		--c-bg: transparent;
		--c-sbg: darkslategray;
		--c-link: turquoise;
	}
}
@media (prefers-color-scheme: light) {
	:root {
		color-scheme: light;
		--c-fg: black;
		--c-bg: whitesmoke;
		--c-sbg: white;
		--c-link: mediumslateblue;
	}
}

/* box sizing */
html {
	box-sizing: border-box;
}
*,
*:before,
*:after {
	box-sizing: inherit;
}

html {
	color: var(--c-fg);
	background-color: var(--c-bg);
	font-size: var(--font-size);
	display: flex;
	flex-direction: column;
	align-items: center;
}
body {
	max-width: var(--s-container);
	width: 100%;
}
a,
a:visited,
a:active,
a:hover {
	color: var(--c-link);
}
/* the download backup button */
body-main {
	:is(details) {
		&:is([open]),
		&:hover {
			:is(summary) {
				background-color: var(--c-sbg);
			}
		}
		:is(summary) {
				background-color: var(--c-sbg);
		}
		border-color: var(--c-bg);
		border: 1px solid var(--c-sbg);
	}
	:is(summary) {
		cursor: pointer;
		padding: var(--s);
	}
	:is(section + section) {
		margin-top: calc(var(--s) * e);
	}
}
r4m-exporter {
	:is(a[download]) {
			&:is([disabled]) {
				pointer-events: none;
				border-color: var(--c-fg);
			}
		text-decoration: none;
		display: flex;
		justify-content: center;
		padding: var(--s);
		background-color: var(--c-link);
		border: 1px solid var(--c-sb);
		color: var(--c-fg);
	}
}
r4m-importer {
	:is(matrix-room-state) {
		padding: var(--s);
		margin: var(--s);
		display: flex;
		flex-direction: column;
		background-color: var(--c-sbg);
	}
	:is(matrix-search) {
		padding: var(--s);
		:is(fieldset:nth-of-type(2)) {
			display: none;
		}
	}
	:is(input):valid {
		outline: 1px solid var(--c-sbg);
	}
	:is(r4-importer-status) {
		flex-grow: 1;
	}
	display: flex;
	flex-direction: column;
	margin: var(--s);
}
r4m-importer-preview {
	:is(form) {
		&:is([disabled]) {
			&:is(button) {
				border-color: transparent;
			}
			pointer-events: none;
		}
		padding: var(--s);
	}
	:is(matrix-room-state) {
		$::before {
			content: "Matrix →";
		}
	}
	:is(r4m-importer-channel) {
		$::before {
			content: "Radio4000 →";
		}
	}
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	border: 1px solid var(--c-sbg);
	padding: 1rem;
	margin: 1rem;
}
r4m-importer-status {
	:is(pre) {
		border: 1px solid var(--c-sbg);
		padding: var(--s);
		margin: var(--s);
		white-space: pre-wrap;
		word-break: break-word;
	}
	:is(progress) {
		background: var(--c-link);
		min-height: calc(var(--z) * 4);
		margin: calc(var(--s) * 2);
	}
	display: flex;
	flex-direction: column;
	background: black;
	color: green;
}
r4m-importer-finished {
	display: flex;
	flex-direction: column;
	:is(r4m-importer-event) {
		&:is([done="true"]) {
			border-color: var(--c-bg);
		}
		&:is([done="false"]) {
			border-color: var(--c-link);
		}
		margin: calc(var(--s) / 2);
		border: 1px solid transparent;
	}
}

fieldset {
	margin: var(--s);
}

legend {
	font-style: italic;
}
